Package org.eclipse.emf.cdo.admin

## Interface CDOAdminClientManager

- All Superinterfaces:
    `org.eclipse.net4j.util.container.IContainer<CDOAdminClient>`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`

      public interface CDOAdminClientManager
      extends org.eclipse.net4j.util.container.IContainer<CDOAdminClient>, org.eclipse.net4j.util.container.IManagedContainerProvider

  Manages multiple `remote administration connections`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addConnection​(java.lang.String url)` |
    `int` | `addConnections​(java.util.Collection<java.lang.String> urls)` |
    `CDOAdminClient` | `getConnection​(java.lang.String url)` |
    `CDOAdminClient[]` | `getConnections()` |
    `java.util.List<java.lang.String>` | `getConnectionURLs()` |
    `boolean` | `removeConnection​(CDOAdminClient connection)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IManagedContainerProvider

      `getContainer`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getConnections

          CDOAdminClient[] getConnections()

    - #### getConnectionURLs

          java.util.List<java.lang.String> getConnectionURLs()

    - #### getConnection

          CDOAdminClient getConnection​(java.lang.String url)

    - #### addConnections

          int addConnections​(java.util.Collection<java.lang.String> urls)

    - #### addConnection

          boolean addConnection​(java.lang.String url)

    - #### removeConnection

          boolean removeConnection​(CDOAdminClient connection)